Wan 2.6 Text to Video
curl --request POST \
--url https://api.novita.ai/v3/async/wan2.6-t2v \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"input": {
"prompt": "<string>",
"audio_url": "<string>",
"negative_prompt": "<string>"
},
"parameters": {
"seed": 123,
"size": "<string>",
"audio": true,
"duration": 123,
"shot_type": "<string>",
"watermark": true,
"prompt_extend": true
}
}
'import requests
url = "https://api.novita.ai/v3/async/wan2.6-t2v"
payload = {
"input": {
"prompt": "<string>",
"audio_url": "<string>",
"negative_prompt": "<string>"
},
"parameters": {
"seed": 123,
"size": "<string>",
"audio": True,
"duration": 123,
"shot_type": "<string>",
"watermark": True,
"prompt_extend": True
}
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
input: {prompt: '<string>', audio_url: '<string>', negative_prompt: '<string>'},
parameters: {
seed: 123,
size: '<string>',
audio: true,
duration: 123,
shot_type: '<string>',
watermark: true,
prompt_extend: true
}
})
};
fetch('https://api.novita.ai/v3/async/wan2.6-t2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>"
}Video Generator
Wan 2.6 Text to Video
POST
/
v3
/
async
/
wan2.6-t2v
Wan 2.6 Text to Video
AI-powered text-to-video service. Generate high-quality video content from text prompts, offering professional video generation capabilities: ready-to-use REST inference API, best-in-class performance, no cold start, and affordable pricing.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.
Request Headers
string
obrigatório
Supports:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
object
obrigatório
Ocultar properties
Ocultar properties
string
obrigatório
Text prompt describing the desired elements and visual features in the generated video. Supported in both Chinese and English, each Chinese character/letter counts as one character; excess will be automatically truncated.Length limit: 0 - 2000
string
Audio file URL to be used by the model to generate video. Supports HTTP or HTTPS. Audio limits: wav/mp3 format; duration 3~30s; file size ≤ 15MB. Exceeding duration: if audio length exceeds duration value (5s or 10s), only the first 5s or 10s are kept, rest is discarded. If audio is shorter than video duration, the excess part of the video is silent. For example, if audio is 3s and video duration is 5s, the first 3s of the output video has sound, the last 2s is silent.
string
Negative prompt, describing content that should not appear in the video. Allows limiting the video content. Supported in Chinese and English, no more than 500 characters; excess will be automatically truncated.Length limit: 0 - 500
object
Ocultar properties
Ocultar properties
integer
Random seed. Range: [0, 2147483647]. If not specified, the system generates a random seed. For better reproducibility, it is recommended to specify a seed value. Note: Due to probabilistic nature of the model, results might not be exactly identical even with the same seed.Value range: [0, 2147483647]
string
padrão:"1920*1080"
Specify the resolution of the generated video in format widthheight. Supports 720P options (1280720/7201280/960960/1088832/8321088) and 1080P options (19201080/10801920/14401440/16321248/1248*1632).Optional values:
1280*720, 720*1280, 960*960, 1088*832, 832*1088, 1920*1080, 1080*1920, 1440*1440, 1632*1248, 1248*1632boolean
padrão:true
Whether to add audio. Parameter priority: audio_url > audio. This parameter only works when audio_url is empty. true: (default) automatically add audio to video; false: no audio, resulting in a silent video.
integer
padrão:5
Duration of the generated video in seconds. Options: 5, 10, 15; default is 5. Duration directly influences cost: cost = unit price (based on resolution) x duration (seconds). Please confirm model pricing before calling.Optional values:
5, 10, 15string
padrão:"multi"
Video generation mode. ‘single’ for single-shot generation; ‘multi’ for multi-shot generation.Optional values:
single, multiboolean
padrão:false
Whether to add a watermark. The watermark will be at the bottom right of the video, labeled as “AI Generated”. false: (default) no watermark; true: add watermark.
boolean
padrão:true
Whether to enable prompt intelligent rewriting. If enabled, a large model is used to smartly rewrite the input prompt, which can significantly improve results for short prompts but may increase processing time. true: (default) enable smart rewriting; false: do not enable.
Response
string
obrigatório
Use the task_id to request the Task Result API to retrieve the generated outputs.
Última modificação em 15 de maio de 2026
⌘I